/* Lato Regular (400) */
@font-face {
  font-family: 'Lato';
  src: url('assets/fonts/lato/Lato-Regular.woff2') format('woff2'),
       url('assets/fonts/lato/Lato-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
/* Lato Bold (700) */
@font-face {
  font-family: 'Lato';
  src: url('assets/fonts/lato/Lato-Bold.woff2') format('woff2'),
       url('assets/fonts/lato/Lato-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
*{
  scrollbar-color: #fff #CFE9F8;
    scrollbar-width: thin;
}
html, body {
  overflow-x: hidden;
}
body.single-product {
  overflow-x: visible !important;
}
body{
    margin: 0 auto;
    font-family: 'Lato', sans-serif;
    font-weight: 400;
}
[x-cloak] {
  display: none !important;
}
.page-template-template-cart-custom .ekit-template-content-footer,
.woocommerce-checkout .ekit-template-content-footer{
  display: none;
}
.product-content ul,
.product-information ul {
  list-style: disc;
  padding-left: 16px;
}
.bg-blue{
    background: #009FE317;
}
.bg-yellow{
  background: #FFED00;
}
h1,h2,h3,h4,h5,h6{
  color: #003566;
}
h1,h2{
  font-weight: 700;
}
h3,h4,h5{
  font-weight: 600;
}
a{
  color: #009FE3;
}
.single_add_to_cart_button {
    display: none !important;
}
.woocommerce-variation-add-to-cart.variations_button > div{
    display: none !important;
}
.reset_variations{
    display: none;
}
.woocommerce-variation-price{
    display: none;
}
.product-grid {
  display: flex;
  flex-wrap: nowrap;
  gap: 24px;
  margin-top: 40px;
  align-items: stretch;
  width: 100%;
}
.single-product-all-attributes{
  display: flex;
      width: 75%;
      flex-direction: column;
      flex-wrap: nowrap;
      align-items: stretch;
      justify-content: space-between;
}
.product-image-attributes{
  display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    gap: 24px;
    width: 100%;
}
.product-left {
    width: 35%;
    align-content: center;
}    
.product-middle {
    width: 65%;
}    
.product-right {
    width: 25%;
    align-self: flex-start;
}    
.product-left img {
    max-width: 100%;
    height: auto;
    display: block;
}
.product-middle select,
.variant-selector input {
    margin-top: 5px;
    padding: 8px;
    width: 100%;
    border: 1px solid #ccc;
}
.variant-selector {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-top: 5px;
}
.variant-selector button {
    width: 30px;
    height: 30px;
    font-size: 18px;
    border: none;
    background: #333;
    color: #fff;
    cursor: pointer;
}
.product-column-right{
  display: flex;
  flex-direction: column;
  width: 25%;
  padding: 0;
}
.product-right{
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 0;
}
.product-right .price-box {
    text-align: left;
    padding: 20px;
}  
.product-right .offer{
    background: #E6007E;
    padding: 20px;
}
.product-right .offer p{
    margin: 0;
    font-weight: 700;
    text-align: center;
    color: #fff;
}
.product-right .price-box > p:nth-child(1){
  margin-top: 0;
  font-size: 14px;
}
.product-right .price-box > p:nth-child(2){
  margin-bottom: 0;
  font-size: 14px;
}

.product-right .add-to-cart-button {
  margin-top: 20px;
  background: #009FE3;
  color: white;
  padding: 12px;
  width: 100%;
  border: none;
  font-size: 16px;
  cursor: pointer;
  font-weight: 700;
}
.product-right .add-to-cart-button:hover {
  margin-top: 20px;
  background: #005ea6;
  color: white;
  padding: 12px;
  width: 100%;
  border: none;
  font-size: 16px;
  cursor: pointer;
  font-weight: 700;
}
.product-right .add-to-cart-button.disabled {
  opacity: 0.5;
  cursor: not-allowed;
  background-color: #ccc !important; 
  pointer-events: none;
}
/*Variant allocation modal*/
.variant-decrease,
.variant-increase{
  height: 30px;
  background: #009FE3;
  width: 30px;
  border-radius: 20px;
  color: white;
  font-weight: 700;
  font-size: 20px;
} 
.variant-increase:disabled {
  opacity: 0.3;
  cursor: not-allowed;
} 
.variant-error-message {
  border: 1px solid red;
  background-color: #fff;
  color: red;
  padding: 6px 10px;
  font-size: 14px;
}
.variations .variation-row{
    margin-bottom: 1rem;
}
.variations .variation-row label{
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: 600;
} 
.modal-content {
  box-shadow: 0 0 20px rgba(0,0,0,0.3);
}    
.modal-warning {
  background: #FFED00;
  padding: 10px;
  font-weight: 500;
  margin-bottom: 20px;
}   
.variant-table {
  width: 100%;
  border-collapse: collapse;
  background: #fff;
  overflow: hidden;
}    
.variant-table th,
.variant-table td {
  padding: 12px;
  text-align: left;
  border-bottom: 1px solid #ccc;
}    
.variant-table input[type="text"],
.variant-table input[type="number"] {
  width: 100%;
  padding: 6px;
  border: 1px solid #ccc;
}    
.variant-table input[type="file"] {
  display: none;
}    
.upload-btn {
  display: inline-block;
  background: #009FE3;
  color: white;
  padding: 8px 16px;
  border: none;
  cursor: pointer;
  font-size: 14px;
}
.upload-btn:hover{
  background: #005ea6;
}    
.modal-buttons {
  margin-top: 20px;
  text-align: right;
}    
.save-btn,
.close-btn {
  cursor: pointer;
}     
.allocate-button {
  background: #3a3a39;
  color: white;
  padding: 10px 15px;
  border: none;
  cursor: pointer;
  transition: all;
}
.allocate-button:hover{
  background: #000;
  transition-duration: 300ms;
}
.allocate-button.disabled {
  opacity: 0.5;
  cursor: not-allowed;
  background-color: #ccc !important; /* or whatever matches your design */
  pointer-events: none;
}
.file-info {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-top: 5px;
}    
.file-info .file-status {
  color: green;
  font-size: 18px;
}    
.file-info .remove-file {
  background: transparent;
  border: none;
  color: red;
  font-weight: bold;
  cursor: pointer;
  font-size: 18px;
}   
.hidden-file{
  display: none;
}  
 /*Pricing matrix modal*/
.pricing-modal {
  background: rgba(0,0,0,0.6);
}     
.pricing-table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
}
.pricing-table thead{
  background-color: #FFED00;
}
.pricing-table th,
.pricing-table td {
  border: 1px solid #ccc;
  padding: 10px;
  text-align: center;
}
.select-print-run {
  padding: 4px 12px;
  border: 1px solid #009FE3;
  background: #009FE3;
  cursor: pointer;
  color: #fff;
} 
.pricing-table tr.selected {
  background-color: #009FE317;
  font-weight: bold;
}   
.select-print-run.selected-button {
  font-weight: bold;
  color: #fff;
  background-color: #009FE3;
} 
select option[disabled] {
  color: #ccc;
}  
.wp-block-columns.are-vertically-aligned-center{
  margin-bottom: 0.75em !important;
}    
.a-z-title {
  text-align: center;
  font-size: 2rem;
  margin-bottom: 2rem;
}   
.a-z-bar {
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
  background: #009FE3;
  padding: 1rem;
  margin-bottom: 2rem;
}   
.a-z-bar a {
  font-weight: 600;
  color: #fff;
  text-decoration: none;
}
.a-z-product-title{
  font-weight: 500;
}
.az-letter-heading.active {
  background: #E6007E;
  color: #fff;
  padding: 0.4rem 0.8rem;
  display: inline-block;
  transition: background 0.3s ease;
}  
.letter-group {
  margin-bottom: 3rem;
  border-top: 1px solid #ccc;
  padding-top: 1rem;
}   
.letter-group h2 {
  font-size: 1.5rem;
  margin-bottom: 1rem;
}   
.a-z-product {
  display: flex;
  align-items: center;
  background: #fff;
  margin-bottom: 1rem;
  padding: 0 1.5rem 0 0;
  gap: 1.5rem;
}    
/* .a-z-thumb img {
  width: 60px;
  height: auto;
}    */
.a-z-info {
  flex: 1;
  display: flex;
  flex-direction: row;
  align-content: center;
  justify-content: space-between;
  align-items: center;
}    
.product-breadcrumbs {
  font-size: 14px;
  margin-bottom: 10px;
}
.product-title, 
.category-title {
  color: #003566;
}
h2.h2{
  color: #003566;
  margin-bottom: .5em;
  font-size: 1.5rem;
  font-weight: 600;
}
h2{
  margin-bottom: .5em;
  font-size: 1.5rem;
  font-weight: 600;
} 
.product-intro-container {
  display: flex;
  gap: 30px;
  background: #009FE329;
  padding: 25px;
  margin-bottom: 40px;
} 
.product-description {
  width: 66%;
}
.product-intro-container > div.product-description > h2{
  margin: 0;
  color: #003566;
}
.product-gallery-slider { 
  position: relative; 
  max-width: 33%; 
  margin: 0 auto; 
  height: fit-content;
  overflow: hidden;
}
.slider-wrapper {
  display: flex;
  transition: transform 0.5s ease-in-out;
  width: 100% !important;
}
.slide {
  min-width: 100%;
  flex: 0 0 100%; 
}
.slide img {
  width: 100%;
  height: auto;
  display: block;
}
.slider-dots {
  text-align: center;
  margin-top: 10px;
 }
.slider-dots .dot {
  height: 10px;
  width: 10px;
  margin: 0 5px;
  display: inline-block;
  border-radius: 50%;
  background-color: #ccc;
  cursor: pointer;
}
.slider-dots .dot.active {
  background-color: #009FE3;
}
/*ADDITIONAL*/
.product-additional-options {
  padding: 24px;
  margin-top: 30px;
  background: #fff;
  width: 100%;
} 
.product-additional-options h3 {
  font-size: 18px;
  color: #009FE3;
  margin-bottom: 20px;
  font-weight: 600;
} 
.product-additional-options .form-row {
  display: inline-block;
  width: calc(33.33% - 20px);
  margin-right: 20px;
  margin-bottom: 15px;
  vertical-align: top;
} 
.product-additional-options .form-row select {
  width: 100%;
  padding: 8px 10px;
  border: 1px solid #ccc;
  font-size: 14px;
}
.woocommerce form .form-row label{
  line-height: 1.25rem !important;
}
.product-additional-options label span {
  display: inline-block;
  margin-left: 5px;
  cursor: help;
  color: #666;
  font-weight: normal;
 }
abbr svg{
  width: 12px;
  height: 12px;
}
.drop-border{
  border: 2px solid #009FE3;
  background-color: #fff;
}
/*Woocomerce*/
.woocommerce-account .woocommerce{
  display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 24px;
}
.woocommerce-MyAccount-navigation-link{
  padding: 0.5rem 1rem;
  font-size: 18px;
}
.woocommerce-account .woocommerce-MyAccount-navigation{
  width: 100%;
}
.woocommerce-account .woocommerce-MyAccount-content{
  width: 100%;
  margin: 50px 0;
}
.woocommerce table.shop_table{
  border-radius: 0;
}
.woocommerce-account .woocommerce-MyAccount-navigation ul{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  border-bottom: 1px solid #ccc;
}
.woocommerce-info{
  border-top-color: #E6007E;
  background-color: #E6007E0d;
  color: #000;
}
#order_review{
  margin-bottom: 50px;
}
.woocommerce-page .woocommerce-info .button{
  background: #E6007E;
  color: #fff;
}
:where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button:hover{
  background-color: #fff;
    text-decoration: none;
    background-image: none;
    color: #E6007E;
    border: 1px solid;
}
.woocommerce-Address-title.title{
  margin-bottom: 2rem;
}
.woocommerce-account .addresses .title .edit{
  float: left;
  float: left;
  color: #FFED00;
  border-bottom: 1px solid;
  font-weight: 500;
}
.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce #respond input#submit, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce a.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce button.button, :where(body:not(.woocommerce-block-theme-has-button-styles)):where(:not(.edit-post-visual-editor)) .woocommerce input.button{
  background-color: #009FE3;
  color: #fff;
}
.woocommerce form .form-row select{
  border: 1px solid #ccc;
  border-radius: 0;
}
.wc-block-mini-cart__shopping-button{
  background: #E6007E;
  padding: 10px;
  margin-top: 20px;
}
.woocommerce form .form-row .input-text, .woocommerce form .form-row select{
  border: 1px solid #e5e7eb;
  border-radius: 0;
}
.woocommerce-EditAccountForm fieldset{
  margin-top: 24px;
}

.woocommerce-EditAccountForm fieldset legend{
  color: #E6007E;
  font-weight: 600;
  padding: 0 0 0 3px;
}
.woocommerce-message{
  border-top-color: #009FE3;
}
.woocommerce-message::before{
  color: #009FE3;
}
.wc-block-components-checkout-place-order-button{
  background: #009FE3;
  color: #fff;
  border: none;
}
.wc-block-components-checkout-place-order-button:hover{
  background: #005ea6;
}
.wc-block-components-sidebar-layout .wc-block-components-main{
  width: 50% !important;
}
.wc-block-components-sidebar{
  width: 50% !important;
}
.woocommerce ul.order_details{
  margin-top: 3rem;
}
form.woocommerce-ResetPassword.lost_reset_password{
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.order-again{
  display: none !important;
}
.hero-button{
  display: inline-block;
  background: #009FE3;
  color: white;
  padding: 8px 16px;
  border: none;
  cursor: pointer;
}
.title-description{
  max-width: 80%;
}
.header-site-logo{
  width: 8rem !important;
  height: 2.5rem !important;
}
.hero-section{
  height: 600px;
}
.hero-slider{
  height: 600px;
}
.wpcf7-submit{
  cursor: pointer;
}
a.button.wc-backward, button.woocommerce-Button.button, .woocommerce a.button{
  padding:0.75rem 1.5rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  border-radius: 0;
}
a.button.wc-backward:hover, button.woocommerce-Button.button:hover, .woocommerce a.button:hover{
  background-color: #005ea6;
  border: none;
  color: #fff;
}
.woocommerce .woocommerce-customer-details address{
  border-bottom-width: 1px;
  border-right-width: 1px;
  border-radius: 0;
}
.woocommerce table.my_account_orders .button{
  padding: inherit;
  border-radius: 0;
  margin-right:4px;
}
.woocommerce table.my_account_orders td, .woocommerce table.my_account_orders th{
  padding: 8px;
}
.wp-block-woocommerce-checkout{
  padding-top: 0 !important;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__image>img{
  display: none;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__image{
  width: 16px !important;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__individual-prices{
  display: none !important;
}
.wc-block-checkout__sidebar .wc-block-components-product-name{
  font-weight: 700 !important;
}
.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title .wc-block-components-checkout-order-summary__title-text{
  font-weight: 600 !important;
  color: #009FE3;
  font-size: 1.25em !important;
}
.wp-block-woocommerce-checkout-order-summary-block{
  background: #009FE317;
  border: 1px solid #009FE317 !important;
  border-radius: 0 !important;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity{
  border: none !important;
}
.wc-block-components-totals-footer-item .wc-block-components-totals-item__label,
div.wc-block-components-totals-item__value > span{
  color: #009FE3;
  font-weight: 700 !important;
}
.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted, .wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted{
  box-shadow: inset 0 0 0 1.5px #ccc !important;
  border-radius: 0 !important;
}
.wc-block-components-text-input input, 
.wc-block-components-address-card,
.wc-block-checkout__add-note .wc-block-components-textarea{
  border-radius: 0 !important;
}

/* General Modal Styles */
/* Modal Content */
#send-offer-modal > div {
  background: white;
  width: 100%;
  max-width: 700px;
  max-height: 90vh;
  overflow-y: auto;
  padding: 1.5rem;
  box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

/* Modal Scroll inside */
.pricing-modal-content table {
  width: 100%;
}

/* Scroll inside Pricing Matrix Table if too many runs */
#pricing-matrix-rows {
  max-height: 400px; /* Max height for rows */
  overflow-y: auto;
}
button.woocommerce-button.button.woocommerce-form-login__submit{
  float: left;
  margin-right: 1em;
  padding: 0.75rem 1.5rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  border-radius: 0;
}
button.woocommerce-button.button.woocommerce-form-login__submit:hover{
  background: #005ea6;
  color: #fff;
}
.woocommerce form.register{
  height: 259.2px;
}
button.woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit{
  margin-top: 20px;
  border-radius: 0;
}

#elementor-hero-section img{
  height: 236.34px;
  object-fit: cover;
}
.ti-widget.ti-goog .ti-verified-by-row{
  display: none !important;
}
.ti-widget.ti-goog .ti-review-item>.ti-inner{
  background: #009FE317 !important;
}
#newsletter-container{
  max-width: 100vw !important;
}
.field-anzahl-ca{
  margin-top: 6px !important;
}
.search-container{
  z-index: 9999;
}
#order_comments{
  padding: 20px;
  border: 1px solid #e5e7eb;
  width: 100%;
}
#login-modal #login-form-modal{
  display: flex;
  flex-direction: column;
  row-gap: 12px;
}
#login-modal #login-form-modal #wp-submit{
  border-radius: 0;
}
#login-modal #login-form-modal #wp-submit:hover{
  background: #005ea6;
  color: #fff;
}
#login-modal #login-form-modal input{
    padding: 8px 12px;
    font-size: 14px;
    line-height: 20px;
    border: 1px solid #d1d5db;
}
.login-username, 
.login-password{
  display: flex;
  flex-direction: column;
}
.woocommerce-info::before{
  display: none;
}

.loading-spinner {
  position: relative;
  padding: 0.5rem 1rem;
  overflow: hidden;
}
.loading-spinner::after {
  content: '';
  position: absolute;
  width: 16px;
  height: 16px;
  border: 2px solid #ccc;
  border-top: 2px solid #102239;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
@keyframes spin {
  0% { transform: translate(-50%, -50%) rotate(0deg); }
  100% { transform: translate(-50%, -50%) rotate(360deg); }
}

.wc_payment_methods {
    list-style: none;
    padding: 0;
}

.wc_payment_method {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    padding: 10px 0;
}

.wc_payment_method input[type="radio"] {
    margin-right: 10px;
}

.payment-logo {
    max-height: 24px;
    vertical-align: middle;
    margin-right: 10px;
}

.payment-method-label {
    display: flex;
    align-items: center;
    font-size: 16px;
    color: #333;
}
#address-table-body tr td{
  cursor: pointer;
}
#address-table-body tr:hover{
  background-color: #dbeafe;
}

.hfe-nav-menu__layout-vertical.hfe-nav-menu__submenu-arrow{
  width: max-content !important;
}
nav.hfe-nav-menu__layout-vertical.hfe-nav-menu__submenu-plus{
  width: max-content !important;
}
.printwerk-billing-address p{
  display: flex;
  flex-direction: column;
}
.printwerk-billing-address p span input{
  padding: .2rem .5rem;
  border: 1px solid #e5e7eb;
  width: -webkit-fill-available;
}
.printwerk-billing-address p span strong{
  padding: .2rem .5rem;
  border: 1px solid #e5e7eb;
  display: block;
  width: -webkit-fill-available;
  font-weight: 400;
}
table.widefat{
  margin: 20px 0 0 0;
}
table.widefat tr td:first-child, table.widefat tr th:first-child{
  padding: 9px 0;
  width: 70%;
}
.woocommerce-table__product-total.product-total{
  border-left: 1px solid rgba(0,0,0,.1);
}

/* Remove arrows from your specific quantity input */
#pw_quantity_input::-webkit-outer-spin-button,
#pw_quantity_input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

#pw_quantity_input {
    -moz-appearance: textfield;
}
.tawk-badge{
  background: #E6007E !important;
}
.forminator-ui#forminator-module-7764.forminator-design--default .forminator-title{
  font-size: 24px !important;
}

/*Responsivness*/
@media (max-width: 768px) {
  .product-grid, .single-product-all-attributes,.product-image-attributes {
    flex-direction: column;
    width: 100%;
  }
  .pricing-table th, .pricing-table td{
    padding: 5px;
    font-size: 13px;
  }

  .product-left,
  .product-middle,
  .product-right,
  .product-column-right, 
  .form-row,
  .is-medium.wc-block-components-sidebar-layout .wc-block-components-main, 
  .is-medium.wc-block-components-sidebar-layout .wc-block-components-sidebar, 
  .is-mobile.wc-block-components-sidebar-layout .wc-block-components-main, 
  .is-mobile.wc-block-components-sidebar-layout .wc-block-components-sidebar, 
  .is-small.wc-block-components-sidebar-layout .wc-block-components-main, 
  .is-small.wc-block-components-sidebar-layout .wc-block-components-sidebar {
    width: 100% !important;
  }
  .jump-button{
    display: none;
  }

  .slider-image-container{
    width: 100% !important;
  }
  #hero-slide-content{
    padding-right: 0 !important;
  }
  .hero-slider-res{
    margin-top: -680px !important;
  }
  .modal-content, .pricing-modal-content, #send-offer-modal > div {
    max-width: 100%;
    padding: 1rem;
  }
  #site-content > div.woocommerce{
    display: flex;
    flex-direction: column-reverse;
  }
  .woocommerce-account .woocommerce-MyAccount-content{
    margin: 0;
  }
  .woocommerce-account .woocommerce-MyAccount-navigation{
    margin: 20px 0;
        display: block;
        border: 1px solid #ccc;
        padding: 20px;
  }
  .woocommerce-account .woocommerce-MyAccount-navigation ul{
    flex-direction: column;
    border: none;
  }
  .woocommerce-MyAccount-navigation-link{
    display: contents;
  }
  
}

@media(max-width: 1024px){
   #mobile-nav-burgericon  .elementskit-menu-hamburger{
    margin-bottom: -20px;
   }
}